<?php

//
//  Custom Child Theme Functions
//

function krt_remove_sidebar () {
  if ( is_front_page() ) {
    return FALSE;
  } else {
    return TRUE;
  }
}

add_filter ('thematic_sidebar', 'krt_remove_sidebar');


// header functions - language selection, searchbox, replace blog title and description with logo

function krt_simple_languageselector () {
  if ( defined('icl_get_languages') ) {
	$langDisplay = array("et" => "EST", "en" => "ENG", "ru" => "RUS", "fi" => "FIN");
	$languages = icl_get_languages('skip_missing=0&orderby=id&order=asc');
	if(!empty($languages)) {
		echo '<div id="langswitch">';
		foreach($languages as $l) {
			echo '<a href="'.$l['url'].'">';
			if ($l['active'] == 1) {echo '<strong>';}
  			echo $langDisplay [ $l['language_code'] ]; 
			if ($l['active'] == 1) {echo '</strong>';}
			echo '</a>&nbsp;';
			}
		echo '</div> <!-- #langswitch -->';
	}
  }
}

function krt_search_header() { ?>
	<div id="searchbox">
		<form id="searchform" method="get" action="<?php bloginfo('home') ?>">
			<input id="s" name="s" type="text" size="30" tabindex="1" onblur="if (this.value == '') {this.value = '<?php _e('To search, type and hit enter', 'thematic')?>';}" onfocus="if (this.value == '<?php _e('To search, type and hit enter', 'thematic')?>') {this.value = '';}" value="<?php _e('To search, type and hit enter', 'thematic')?>"/>
			<input id="searchsubmit" name="searchsubmit" type="submit" value="<?php _e('Search', 'thematic') ?>" tabindex="2" />
		</form>
	</div> <!-- #searchbox -->		
		<?php }

function krt_logo_image() {
	echo '<div id="logo"><a href="'.get_option('home').'"><img src="'.get_bloginfo('stylesheet_directory').'/images/logo.png" /></a></div>';
	}

function krt_breadcrumbs() {
    if ( defined('icl_navigation_breadcrumb') ) {
      echo '<div id="breadcrumbs">';
	  do_action('icl_navigation_breadcrumb');
	  echo '</div> <!-- #breadcrumbs -->';
	}
}

function krt_remove_thematic_elements() {
remove_action('thematic_header', 'thematic_blogtitle',3);
remove_action('thematic_header', 'thematic_blogdescription',5);
//  remove_action('thematic_footer', 'thematic_siteinfoopen', 20);
//  remove_action('thematic_footer', 'thematic_siteinfo', 30);
//  remove_action('thematic_footer', 'thematic_siteinfoclose', 40);
}

// perform required header/footer changes

add_action('init','krt_remove_thematic_elements');
add_action('thematic_header','krt_logo_image',4);
add_action('thematic_aboveheader', 'krt_search_header');
// add_action('thematic_aboveheader', 'krt_simple_languageselector');
// add_action('thematic_abovecontainer', 'krt_breadcrumbs');



// I've included a "commented out" sample function below that'll add a home link to your menu
// More ideas can be found on "A Guide To Customizing The Thematic Theme Framework" 
// http://themeshaper.com/thematic-for-wordpress/guide-customizing-thematic-theme-framework/

// Adds a home link to your menu
// http://codex.wordpress.org/Template_Tags/wp_page_menu
//function childtheme_menu_args($args) {
//    $args = array(
//        'show_home' => 'Home',
//        'sort_column' => 'menu_order',
//        'menu_class' => 'menu',
//        'echo' => true
//    );
//	return $args;
//}
//add_filter('wp_page_menu_args','childtheme_menu_args');

// Unleash the power of Thematic's dynamic classes
// 
// define('THEMATIC_COMPATIBLE_BODY_CLASS', true);
// define('THEMATIC_COMPATIBLE_POST_CLASS', true);

// Unleash the power of Thematic's comment form
//
// define('THEMATIC_COMPATIBLE_COMMENT_FORM', true);

// Unleash the power of Thematic's feed link functions
//
// define('THEMATIC_COMPATIBLE_FEEDLINKS', true);

?>